## AsIssue AsIssue — An issue resolved in a release. |

## Functions

const gchar * | as_issue_kind_to_string ()
AsIssueKind | as_issue_kind_from_string ()
AsIssue * | as_issue_new ()
AsIssueKind | as_issue_get_kind ()
void | as_issue_set_kind ()
const gchar * | as_issue_get_id ()
void | as_issue_set_id ()
const gchar * | as_issue_get_url ()
void | as_issue_set_url ()

## Types and Values

#define | AS_TYPE_ISSUE
struct | AsIssueClass
enum | AsIssueKind
| AsIssue

## Includes

    #include <appstream.h>

## Description

Information about an issue that was resolved in a release.

See also: AsRelease

## Functions

### as_issue_kind_to_string ()

    const gchar *
    as_issue_kind_to_string (AsIssueKind kind);

Converts the enumerated value to an text representation.

#### Parameters

kind | the `AsIssueKind`. |

#### Returns

string version of `kind`

### as_issue_kind_from_string ()

    AsIssueKind
    as_issue_kind_from_string (const gchar *kind_str);

Converts the text representation to an enumerated value.

#### Parameters

kind_str | the string. |

#### Returns

a AsIssueKind or `AS_ISSUE_KIND_UNKNOWN` for unknown

### as_issue_new ()

    AsIssue *
    as_issue_new (void);

Creates a new AsIssue.

#### Returns

an AsIssue.

[transfer full]

### as_issue_get_kind ()

    AsIssueKind
    as_issue_get_kind (AsIssue *issue);

Gets the issue type.

#### Parameters

issue | a AsIssue instance. |

#### Returns

the AsIssueKind

### as_issue_set_kind ()

    void
    as_issue_set_kind (AsIssue *issue,
                       AsIssueKind kind);

Sets the issue type.

#### Parameters

issue | a AsIssue instance. |
kind | the AsIssueKind, e.g. `AS_ISSUE_KIND_SHA256`. |

### as_issue_get_id ()

    const gchar *
    as_issue_get_id (AsIssue *issue);

Gets the issue ID (usually a bug number or CVE ID)

#### Parameters

issue | a AsIssue instance. |

#### Returns

the ID.

### as_issue_set_id ()

    void
    as_issue_set_id (AsIssue *issue,
                     const gchar *id);

Sets the issue ID.

#### Parameters

issue | a AsIssue instance. |
id | the new ID. |

### as_issue_get_url ()

    const gchar *
    as_issue_get_url (AsIssue *issue);

Gets the URL associacted with this issue, usually referencing a bug report or issue description.

#### Parameters

issue | a AsIssue instance. |

#### Returns

the URL.

### as_issue_set_url ()

    void
    as_issue_set_url (AsIssue *issue,
                      const gchar *url);

Sets an URL describing this issue.

#### Parameters

issue | a AsIssue instance. |
url | the new URL. |

## Types and Values

### AS_TYPE_ISSUE

    #define AS_TYPE_ISSUE (as_issue_get_type ())

### struct AsIssueClass

    struct AsIssueClass {
    	GObjectClass parent_class;
    };

### enum AsIssueKind

Checksums supported by AsRelease

#### Members

AS_ISSUE_KIND_UNKNOWN | Unknown issue type |
AS_ISSUE_KIND_GENERIC | Generic issue type |
AS_ISSUE_KIND_CVE | Common Vulnerabilities and Exposures issue |

### AsIssue

    typedef struct _AsIssue AsIssue;